from .__base import project_settings, import_class

pss = project_settings.get('SERIALIZER_BASE_CLASSES', {})

BSC = import_class(pss.get('BASE', 'users.utils.serializers.BaseModelSerializerClass'))

BCreateSC = import_class(pss.get('CREATE', 'users.utils.serializers.BaseCreateModelSerializerClass'))

BListSC = import_class(pss.get('LIST', 'users.utils.serializers.BaseListModelSerializerClass'))

BRetrieveSC = import_class(pss.get('RETRIEVE', 'users.utils.serializers.BaseRetrieveModelSerializerClass'))

BUpdateSC = import_class(pss.get('UPDATE', 'users.utils.serializers.BaseUpdateModelSerializerClass'))

BDestroySC = import_class(pss.get('DESTROY', 'users.utils.serializers.BaseDestroyModelSerializerClass'))
